## org.w3c.jigadm.editors
Class AttributesHelper

    java.lang.Object
      |
      +--org.w3c.jigadm.editors.ResourceHelper
            |
            +--org.w3c.jigadm.editors.AttributesHelper

public class AttributesHelper
extends ResourceHelper

Field Summary
`protected static java.lang.String` | `COMMIT_L`
`protected static java.lang.String` | `RESET_L`

Fields inherited from class org.w3c.jigadm.editors.ResourceHelper
`rls`

Constructor Summary
`AttributesHelper()`

Method Summary
`void` | `clearChanged()`
`void` | `commitChanges()` Commit changes (if any)
`java.awt.Component` | `getComponent()`
`java.lang.String` | `getTitle()`
`boolean` | `hasChanged()`
`void` | `initialize(RemoteResourceWrapper rrw, java.util.Properties pr)` initialize.
`void` | `resetChanges()`
`void` | `setMessage(java.lang.String msg)`

Methods inherited from class org.w3c.jigadm.editors.ResourceHelper
`addResourceListener, errorPopup, getValue, msgPopup, processEvent, removeResourceListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMMIT_L

    protected static final java.lang.String COMMIT_L

### RESET_L

    protected static final java.lang.String RESET_L

Constructor Detail

### AttributesHelper

    public AttributesHelper()

Method Detail

### setMessage

    public void setMessage(java.lang.String msg)

### commitChanges

    public void commitChanges()
                       throws RemoteAccessException

  Commit changes (if any)
  Throws:
    RemoteAccessException - if a remote access error occurs.

### hasChanged

    public boolean hasChanged()

### resetChanges

    public void resetChanges()

### clearChanged

    public void clearChanged()

### getComponent

    public java.awt.Component getComponent()

  Overrides:
    getComponent in class ResourceHelper

### getTitle

    public final java.lang.String getTitle()

  Overrides:
    getTitle in class ResourceHelper

### initialize

    public void initialize(RemoteResourceWrapper rrw,
                           java.util.Properties pr)
                    throws RemoteAccessException

  initialize.
  Throws:
    RemoteAccessException - if a remote access error occurs.